flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bogdan DINU <flex.programm...@gmail.com>
Subject Re: Getting source working in Flash Builder
Date Thu, 21 Feb 2013 12:50:01 GMT
Indeed, it's not in the spark namespace yet. Try using direct namespaces.

On Thu, Feb 21, 2013 at 2:46 PM, Nicholas Kwiatkowski <nicholas@spoon.as>wrote:

> From what I understand, the experimental swc had a different namespace...
>  I don't think it was in spark yet....
>
> -Nick
>
> On Thu, Feb 21, 2013 at 3:31 AM, Harbs <harbs.lists@gmail.com> wrote:
>
> > Yes. I'm talking about experimental.
> >
> > I linked to the 4.9 release and s:Alert and s:ColorPicker were not
> > available. I'm using the en_US locale. Not sure what to say here…
> >
> > This is all clear as mud to me. I'll play around a bit trying to wrap my
> > head around this. I'll probably come back with more questions later…
> >
> > On Feb 21, 2013, at 2:45 AM, Frédéric THOMAS wrote:
> >
> > > Harbs,
> > >
> > >> 2) I need the Alert and ColorPicker components that's not in the 4.9
> > release.
> > >
> > > If you're talking about the ones in the experimental.swc, there are in
> > the 4.9 but you can use them with en_US only, I re-worked them in the
> > develop branch, so if you want to use them and even to have an SDK you
> can
> > use with IntelliJ, constantly updated, chekout the develop branch, do a
> > first build, a release, use the makeApacheFlexForFlashBuilder on the
> > released develop branch itself, not the resulting binaries.
> > >
> > > Like that you can set this fresh SDK as the SDK you use if you want to
> > make change in the SDK, you'll have only to run the ant target
> > corresponding to the lib you modified (and the other.locales too) and
> > you'll be able to test it right away on your sample projects.
> > >
> > > Ask me if I haven't been completly clear.
> > >
> > > -Fred
> > >
> > > -----Message d'origine----- From: Justin Mclean
> > > Sent: Thursday, February 21, 2013 1:27 AM
> > > To: dev@flex.apache.org
> > > Subject: Re: Getting source working in Flash Builder
> > >
> > > Hi,
> > >
> > >> I did use the installer.
> > > Which would of given you last release 4.9.
> > >
> > >> The issue is that I'm trying to use the source rather than the
> > distribution for two reasons:
> > >> 1) I wanted to look into the TLF bugs that were reported.
> > >> 2) I need the Alert and ColorPicker components that's not in the 4.9
> > release.
> > >
> > > Make a release build from the source with ant release, copy and
> > unzip/untar the release and use the script in the IDE directory to make
> an
> > SDK usable for Flash Builder or any other IDE.
> > >
> > >> Does the source need to be compiled before it can work?
> > > Um yes. The source gets compiled in swcs (in the frameworks/lib
> > directory) that your Flex application uses.
> > >
> > >> I wonder if now would be a good time to try InteliJ IDEA...
> > > You would still have the package the SDK up, your issue is not unique
> to
> > just Flash Builder.
> > >
> > > Hope that helps.
> > >
> > > Justin
> >
> >
>



-- 
http://www.badu.ro

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message